package main

var TLDs = map[string]struct{}{
	"localhost":          {},
	"localdomain":        {},
	"abudhabi":           {},
	"ae":                 {},
	"af":                 {},
	"ax":                 {},
	"al":                 {},
	"dz":                 {},
	"as":                 {},
	"ad":                 {},
	"ao":                 {},
	"ai":                 {},
	"aq":                 {},
	"ag":                 {},
	"ar":                 {},
	"am":                 {},
	"aw":                 {},
	"ac":                 {},
	"au":                 {},
	"at":                 {},
	"az":                 {},
	"bs":                 {},
	"bh":                 {},
	"bd":                 {},
	"bb":                 {},
	"eus":                {},
	"by":                 {},
	"be":                 {},
	"bz":                 {},
	"bj":                 {},
	"bm":                 {},
	"bt":                 {},
	"bo":                 {},
	"bq":                 {},
	"an":                 {},
	"nl":                 {},
	"ba":                 {},
	"bw":                 {},
	"bv":                 {},
	"br":                 {},
	"io":                 {},
	"vg":                 {},
	"bn":                 {},
	"bg":                 {},
	"bf":                 {},
	"mm":                 {},
	"bi":                 {},
	"kh":                 {},
	"cm":                 {},
	"ca":                 {},
	"cv":                 {},
	"cat":                {},
	"ky":                 {},
	"cf":                 {},
	"td":                 {},
	"cl":                 {},
	"cn":                 {},
	"cx":                 {},
	"cc":                 {},
	"co":                 {},
	"km":                 {},
	"cd":                 {},
	"cg":                 {},
	"ck":                 {},
	"cr":                 {},
	"ci":                 {},
	"hr":                 {},
	"cu":                 {},
	"cw":                 {},
	"cy":                 {},
	"nc":                 {},
	"tr":                 {},
	"cz":                 {},
	"dk":                 {},
	"dj":                 {},
	"dm":                 {},
	"do":                 {},
	"tl":                 {},
	"tp":                 {},
	"ec":                 {},
	"eg":                 {},
	"sv":                 {},
	"uk":                 {},
	"gq":                 {},
	"er":                 {},
	"ee":                 {},
	"et":                 {},
	"eu":                 {},
	"fo":                 {},
	"fk":                 {},
	"fj":                 {},
	"fi":                 {},
	"fr":                 {},
	"gf":                 {},
	"pf":                 {},
	"tf":                 {},
	"ga":                 {},
	"gal":                {},
	"gm":                 {},
	"ps":                 {},
	"ge":                 {},
	"de":                 {},
	"gh":                 {},
	"gi":                 {},
	"gb":                 {},
	"gr":                 {},
	"gl":                 {},
	"gd":                 {},
	"gp":                 {},
	"gu":                 {},
	"gt":                 {},
	"gg":                 {},
	"gn":                 {},
	"gw":                 {},
	"gy":                 {},
	"ht":                 {},
	"hm":                 {},
	"hn":                 {},
	"hk":                 {},
	"hu":                 {},
	"is":                 {},
	"in":                 {},
	"id":                 {},
	"ir":                 {},
	"iq":                 {},
	"ie":                 {},
	"im":                 {},
	"il":                 {},
	"it":                 {},
	"jm":                 {},
	"jp":                 {},
	"je":                 {},
	"jo":                 {},
	"kz":                 {},
	"ke":                 {},
	"ki":                 {},
	"kp":                 {},
	"kr":                 {},
	"kw":                 {},
	"kg":                 {},
	"la":                 {},
	"lv":                 {},
	"lb":                 {},
	"ls":                 {},
	"lr":                 {},
	"ly":                 {},
	"li":                 {},
	"lt":                 {},
	"lu":                 {},
	"mo":                 {},
	"mk":                 {},
	"mg":                 {},
	"mw":                 {},
	"my":                 {},
	"mv":                 {},
	"ml":                 {},
	"mt":                 {},
	"mh":                 {},
	"mq":                 {},
	"mr":                 {},
	"mu":                 {},
	"yt":                 {},
	"mx":                 {},
	"fm":                 {},
	"md":                 {},
	"mc":                 {},
	"mn":                 {},
	"me":                 {},
	"ms":                 {},
	"ma":                 {},
	"mz":                 {},
	"na":                 {},
	"nr":                 {},
	"np":                 {},
	"nz":                 {},
	"ni":                 {},
	"ne":                 {},
	"ng":                 {},
	"nu":                 {},
	"nf":                 {},
	"mp":                 {},
	"no":                 {},
	"om":                 {},
	"pk":                 {},
	"pw":                 {},
	"pa":                 {},
	"pg":                 {},
	"py":                 {},
	"pe":                 {},
	"ph":                 {},
	"pn":                 {},
	"pl":                 {},
	"pt":                 {},
	"pr":                 {},
	"qa":                 {},
	"re":                 {},
	"ro":                 {},
	"ru":                 {},
	"rw":                 {},
	"bl":                 {},
	"sh":                 {},
	"kn":                 {},
	"lc":                 {},
	"mf":                 {},
	"vc":                 {},
	"pm":                 {},
	"ws":                 {},
	"sm":                 {},
	"st":                 {},
	"sa":                 {},
	"sn":                 {},
	"rs":                 {},
	"sc":                 {},
	"sl":                 {},
	"sg":                 {},
	"sx":                 {},
	"sk":                 {},
	"si":                 {},
	"sb":                 {},
	"so":                 {},
	"za":                 {},
	"gs":                 {},
	"ss":                 {},
	"es":                 {},
	"lk":                 {},
	"sd":                 {},
	"sr":                 {},
	"sj":                 {},
	"sz":                 {},
	"se":                 {},
	"ch":                 {},
	"sy":                 {},
	"tw":                 {},
	"tj":                 {},
	"tz":                 {},
	"th":                 {},
	"tg":                 {},
	"tk":                 {},
	"to":                 {},
	"tt":                 {},
	"tn":                 {},
	"tm":                 {},
	"tc":                 {},
	"tv":                 {},
	"ug":                 {},
	"ua":                 {},
	"us":                 {},
	"vi":                 {},
	"uy":                 {},
	"uz":                 {},
	"vu":                 {},
	"va":                 {},
	"ve":                 {},
	"vn":                 {},
	"wf":                 {},
	"eh":                 {},
	"ye":                 {},
	"zm":                 {},
	"zw":                 {},
	"com":                {},
	"org":                {},
	"net":                {},
	"int":                {},
	"edu":                {},
	"gov":                {},
	"mil":                {},
	"arpa":               {},
	"academy":            {},
	"accountant":         {},
	"accountants":        {},
	"active":             {},
	"actor":              {},
	"ads":                {},
	"adult":              {},
	"aero":               {},
	"africa":             {},
	"agency":             {},
	"airforce":           {},
	"amazon":             {},
	"analytics":          {},
	"apartments":         {},
	"app":                {},
	"apple":              {},
	"archi":              {},
	"army":               {},
	"art":                {},
	"associates":         {},
	"attorney":           {},
	"auction":            {},
	"audible":            {},
	"audio":              {},
	"author":             {},
	"auto":               {},
	"autos":              {},
	"aws":                {},
	"baby":               {},
	"band":               {},
	"bank":               {},
	"bar":                {},
	"barefoot":           {},
	"bargains":           {},
	"baseball":           {},
	"basketball":         {},
	"beauty":             {},
	"beer":               {},
	"best":               {},
	"bestbuy":            {},
	"bet":                {},
	"bible":              {},
	"bid":                {},
	"bike":               {},
	"bingo":              {},
	"bio":                {},
	"biz":                {},
	"black":              {},
	"blackfriday":        {},
	"blockbuster":        {},
	"blog":               {},
	"blue":               {},
	"boo":                {},
	"book":               {},
	"boots":              {},
	"boston":             {},
	"bot":                {},
	"boutique":           {},
	"box":                {},
	"broadway":           {},
	"broker":             {},
	"build":              {},
	"builders":           {},
	"business":           {},
	"buy":                {},
	"buzz":               {},
	"cab":                {},
	"cafe":               {},
	"call":               {},
	"cam":                {},
	"camera":             {},
	"camp":               {},
	"cancerresearch":     {},
	"capital":            {},
	"car":                {},
	"cards":              {},
	"care":               {},
	"career":             {},
	"careers":            {},
	"cars":               {},
	"case":               {},
	"cash":               {},
	"casino":             {},
	"catering":           {},
	"catholic":           {},
	"center":             {},
	"cern":               {},
	"ceo":                {},
	"cfd":                {},
	"channel":            {},
	"chat":               {},
	"charity":            {},
	"cheap":              {},
	"christmas":          {},
	"church":             {},
	"circle":             {},
	"city":               {},
	"claims":             {},
	"cleaning":           {},
	"click":              {},
	"clinic":             {},
	"clothing":           {},
	"cloud":              {},
	"club":               {},
	"coach":              {},
	"codes":              {},
	"coffee":             {},
	"college":            {},
	"community":          {},
	"company":            {},
	"compare":            {},
	"computer":           {},
	"condos":             {},
	"construction":       {},
	"consulting":         {},
	"contact":            {},
	"contractors":        {},
	"cooking":            {},
	"cool":               {},
	"coop":               {},
	"country":            {},
	"coupon":             {},
	"coupons":            {},
	"courses":            {},
	"cpa":                {},
	"credit":             {},
	"creditcard":         {},
	"cruise":             {},
	"cricket":            {},
	"cruises":            {},
	"cyou":               {},
	"dad":                {},
	"dance":              {},
	"data":               {},
	"date":               {},
	"dating":             {},
	"day":                {},
	"deal":               {},
	"deals":              {},
	"degree":             {},
	"delivery":           {},
	"democrat":           {},
	"dental":             {},
	"dentist":            {},
	"design":             {},
	"dev":                {},
	"diamonds":           {},
	"diet":               {},
	"digital":            {},
	"direct":             {},
	"directory":          {},
	"discount":           {},
	"diy":                {},
	"docs":               {},
	"doctor":             {},
	"dog":                {},
	"domains":            {},
	"dot":                {},
	"download":           {},
	"drive":              {},
	"duck":               {},
	"earth":              {},
	"eat":                {},
	"eco":                {},
	"education":          {},
	"email":              {},
	"energy":             {},
	"engineer":           {},
	"engineering":        {},
	"edeka":              {},
	"entertainment":      {},
	"enterprises":        {},
	"equipment":          {},
	"esq":                {},
	"estate":             {},
	"events":             {},
	"exchange":           {},
	"expert":             {},
	"exposed":            {},
	"express":            {},
	"fail":               {},
	"faith":              {},
	"family":             {},
	"fan":                {},
	"fans":               {},
	"farm":               {},
	"fashion":            {},
	"fast":               {},
	"feedback":           {},
	"fiat":               {},
	"film":               {},
	"final":              {},
	"finance":            {},
	"financial":          {},
	"fire":               {},
	"fish":               {},
	"fishing":            {},
	"fit":                {},
	"fitness":            {},
	"flights":            {},
	"florist":            {},
	"flowers":            {},
	"fly":                {},
	"foo":                {},
	"food":               {},
	"foodnetwork":        {},
	"football":           {},
	"forsale":            {},
	"forum":              {},
	"foundation":         {},
	"free":               {},
	"frontdoor":          {},
	"fun":                {},
	"fund":               {},
	"furniture":          {},
	"fyi":                {},
	"gallery":            {},
	"game":               {},
	"games":              {},
	"garden":             {},
	"gay":                {},
	"gdn":                {},
	"gift":               {},
	"gifts":              {},
	"gives":              {},
	"glass":              {},
	"gle":                {},
	"global":             {},
	"gold":               {},
	"golf":               {},
	"google":             {},
	"gop":                {},
	"graphics":           {},
	"green":              {},
	"gripe":              {},
	"grocery":            {},
	"group":              {},
	"guide":              {},
	"guitars":            {},
	"guru":               {},
	"hair":               {},
	"hangout":            {},
	"health":             {},
	"healthcare":         {},
	"help":               {},
	"here":               {},
	"hiphop":             {},
	"hiv":                {},
	"hockey":             {},
	"holdings":           {},
	"holiday":            {},
	"homegoods":          {},
	"homes":              {},
	"homesense":          {},
	"horse":              {},
	"hospital":           {},
	"host":               {},
	"hosting":            {},
	"hot":                {},
	"hotels":             {},
	"house":              {},
	"how":                {},
	"ice":                {},
	"icu":                {},
	"inc":                {},
	"industries":         {},
	"info":               {},
	"ing":                {},
	"ink":                {},
	"institute":          {},
	"insurance":          {},
	"insure":             {},
	"international":      {},
	"investments":        {},
	"irish":              {},
	"jewelry":            {},
	"jobs":               {},
	"joy":                {},
	"kim":                {},
	"kitchen":            {},
	"kosher":             {},
	"land":               {},
	"lat":                {},
	"law":                {},
	"lawyer":             {},
	"lease":              {},
	"leclerc":            {},
	"legal":              {},
	"lgbt":               {},
	"life":               {},
	"lifeinsurance":      {},
	"lighting":           {},
	"like":               {},
	"limited":            {},
	"limo":               {},
	"link":               {},
	"live":               {},
	"living":             {},
	"loan":               {},
	"loans":              {},
	"locker":             {},
	"lol":                {},
	"lotto":              {},
	"love":               {},
	"ltd":                {},
	"luxury":             {},
	"makeup":             {},
	"management":         {},
	"map":                {},
	"market":             {},
	"marketing":          {},
	"markets":            {},
	"mba":                {},
	"med":                {},
	"media":              {},
	"meet":               {},
	"meme":               {},
	"memorial":           {},
	"men":                {},
	"menu":               {},
	"mint":               {},
	"mobi":               {},
	"mobile":             {},
	"mobily":             {},
	"moe":                {},
	"mom":                {},
	"money":              {},
	"monster":            {},
	"mortgage":           {},
	"motorcycles":        {},
	"mov":                {},
	"movie":              {},
	"museum":             {},
	"music":              {},
	"name":               {},
	"navy":               {},
	"network":            {},
	"new":                {},
	"news":               {},
	"ngo":                {},
	"ninja":              {},
	"now":                {},
	"ntt":                {},
	"observer":           {},
	"off":                {},
	"one":                {},
	"ong":                {},
	"onl":                {},
	"online":             {},
	"ooo":                {},
	"open":               {},
	"organic":            {},
	"origins":            {},
	"page":               {},
	"partners":           {},
	"parts":              {},
	"party":              {},
	"pay":                {},
	"pet":                {},
	"pharmacy":           {},
	"phone":              {},
	"photo":              {},
	"photography":        {},
	"photos":             {},
	"physio":             {},
	"pics":               {},
	"pictures":           {},
	"pid":                {},
	"pin":                {},
	"pink":               {},
	"pizza":              {},
	"place":              {},
	"plumbing":           {},
	"plus":               {},
	"poker":              {},
	"porn":               {},
	"post":               {},
	"press":              {},
	"prime":              {},
	"pro":                {},
	"productions":        {},
	"prof":               {},
	"promo":              {},
	"properties":         {},
	"property":           {},
	"protection":         {},
	"pub":                {},
	"qpon":               {},
	"quebec":             {},
	"racing":             {},
	"radio":              {},
	"read":               {},
	"realestate":         {},
	"realtor":            {},
	"realty":             {},
	"recipes":            {},
	"red":                {},
	"rehab":              {},
	"reit":               {},
	"rent":               {},
	"rentals":            {},
	"repair":             {},
	"report":             {},
	"republican":         {},
	"rest":               {},
	"restaurant":         {},
	"review":             {},
	"reviews":            {},
	"rich":               {},
	"rip":                {},
	"rocks":              {},
	"rodeo":              {},
	"room":               {},
	"rugby":              {},
	"run":                {},
	"safe":               {},
	"sale":               {},
	"salon":              {},
	"save":               {},
	"sbi":                {},
	"scholarships":       {},
	"school":             {},
	"science":            {},
	"search":             {},
	"secure":             {},
	"security":           {},
	"select":             {},
	"services":           {},
	"sex":                {},
	"sexy":               {},
	"shoes":              {},
	"shop":               {},
	"shopping":           {},
	"show":               {},
	"showtime":           {},
	"silk":               {},
	"singles":            {},
	"site":               {},
	"ski":                {},
	"skin":               {},
	"sky":                {},
	"sling":              {},
	"smile":              {},
	"sncf":               {},
	"soccer":             {},
	"social":             {},
	"software":           {},
	"solar":              {},
	"solutions":          {},
	"song":               {},
	"spa":                {},
	"space":              {},
	"spreadbetting":      {},
	"spot":               {},
	"sport":              {},
	"srl":                {},
	"stockholm":          {},
	"storage":            {},
	"store":              {},
	"stream":             {},
	"studio":             {},
	"study":              {},
	"style":              {},
	"sucks":              {},
	"supplies":           {},
	"supply":             {},
	"support":            {},
	"surf":               {},
	"surgery":            {},
	"systems":            {},
	"talk":               {},
	"tattoo":             {},
	"tax":                {},
	"taxi":               {},
	"team":               {},
	"tech":               {},
	"technology":         {},
	"tel":                {},
	"tennis":             {},
	"theater":            {},
	"theatre":            {},
	"tickets":            {},
	"tips":               {},
	"tires":              {},
	"today":              {},
	"tools":              {},
	"top":                {},
	"tours":              {},
	"town":               {},
	"toys":               {},
	"trade":              {},
	"trading":            {},
	"training":           {},
	"travel":             {},
	"travelersinsurance": {},
	"trust":              {},
	"tube":               {},
	"tunes":              {},
	"uconnect":           {},
	"university":         {},
	"uno":                {},
	"vacations":          {},
	"ventures":           {},
	"vet":                {},
	"video":              {},
	"villas":             {},
	"vin":                {},
	"vip":                {},
	"vision":             {},
	"vodka":              {},
	"volvo":              {},
	"vote":               {},
	"voting":             {},
	"voyage":             {},
	"wang":               {},
	"watch":              {},
	"watches":            {},
	"weather":            {},
	"webcam":             {},
	"website":            {},
	"wed":                {},
	"wedding":            {},
	"whoswho":            {},
	"wiki":               {},
	"win":                {},
	"wine":               {},
	"winners":            {},
	"work":               {},
	"works":              {},
	"world":              {},
	"wow":                {},
	"wtf":                {},
	"xxx":                {},
	"xyz":                {},
	"yachts":             {},
	"yoga":               {},
	"you":                {},
	"youtube":            {},
	"zero":               {},
	"zip":                {},
	"zone":               {},
	"ren":                {},
	"shouji":             {},
	"tushu":              {},
	"wanggou":            {},
	"weibo":              {},
	"xihuan":             {},
	"xin":                {},
	"arte":               {},
	"clinique":           {},
	"luxe":               {},
	"maison":             {},
	"moi":                {},
	"rsvp":               {},
	"sarl":               {},
	"epost":              {},
	"gmbh":               {},
	"haus":               {},
	"immobilien":         {},
	"jetzt":              {},
	"kaufen":             {},
	"kinder":             {},
	"reise":              {},
	"reisen":             {},
	"schule":             {},
	"versicherung":       {},
	"desi":               {},
	"shiksha":            {},
	"casa":               {},
	"immo":               {},
	"moda":               {},
	"voto":               {},
	"bom":                {},
	"passagens":          {},
	"abogado":            {},
	"futbol":             {},
	"gratis":             {},
	"hoteles":            {},
	"juegos":             {},
	"ltda":               {},
	"soy":                {},
	"tienda":             {},
	"viajes":             {},
	"vuelos":             {},
	"capetown":           {},
	"durban":             {},
	"joburg":             {},
	"arab":               {},
	"asia":               {},
	"doha":               {},
	"dubai":              {},
	"krd":                {},
	"kyoto":              {},
	"nagoya":             {},
	"okinawa":            {},
	"osaka":              {},
	"ryukyu":             {},
	"taipei":             {},
	"tatar":              {},
	"tokyo":              {},
	"yokohama":           {},
	"alsace":             {},
	"bzh":                {},
	"corsica":            {},
	"paris":              {},
	"bcn":                {},
	"barcelona":          {},
	"madrid":             {},
	"bayern":             {},
	"berlin":             {},
	"cologne":            {},
	"koeln":              {},
	"hamburg":            {},
	"nrw":                {},
	"ruhr":               {},
	"saarland":           {},
	"amsterdam":          {},
	"brussels":           {},
	"budapest":           {},
	"cymru":              {},
	"wales":              {},
	"frl":                {},
	"gent":               {},
	"helsinki":           {},
	"ist":                {},
	"istanbul":           {},
	"london":             {},
	"moscow":             {},
	"scot":               {},
	"swiss":              {},
	"tirol":              {},
	"vlaanderen":         {},
	"wien":               {},
	"zuerich":            {},
	"miami":              {},
	"nyc":                {},
	"vegas":              {},
	"kiwi":               {},
	"melbourne":          {},
	"sydney":             {},
	"rio":                {},
	"aaa":                {},
	"aarp":               {},
	"abarth":             {},
	"abb":                {},
	"abbott":             {},
	"abbvie":             {},
	"abc":                {},
	"accenture":          {},
	"aco":                {},
	"aeg":                {},
	"aetna":              {},
	"afl":                {},
	"agakhan":            {},
	"aig":                {},
	"aigo":               {},
	"airbus":             {},
	"airtel":             {},
	"akdn":               {},
	"alfaromeo":          {},
	"alibaba":            {},
	"alipay":             {},
	"allfinanz":          {},
	"allstate":           {},
	"ally":               {},
	"alstom":             {},
	"americanexpress":    {},
	"amex":               {},
	"amica":              {},
	"android":            {},
	"anz":                {},
	"aol":                {},
	"aquarelle":          {},
	"aramco":             {},
	"audi":               {},
	"auspost":            {},
	"axa":                {},
	"azure":              {},
	"baidu":              {},
	"bananarepublic":     {},
	"barclaycard":        {},
	"barclays":           {},
	"bauhaus":            {},
	"bbc":                {},
	"bbt":                {},
	"bbva":               {},
	"bcg":                {},
	"bentley":            {},
	"bharti":             {},
	"bing":               {},
	"blanco":             {},
	"bloomberg":          {},
	"bms":                {},
	"bmw":                {},
	"bnl":                {},
	"bnpparibas":         {},
	"boehringer":         {},
	"bond":               {},
	"booking":            {},
	"bosch":              {},
	"bostik":             {},
	"bradesco":           {},
	"bridgestone":        {},
	"brother":            {},
	"bugatti":            {},
	"cal":                {},
	"calvinklein":        {},
	"canon":              {},
	"capitalone":         {},
	"caravan":            {},
	"cartier":            {},
	"cba":                {},
	"cbn":                {},
	"cbre":               {},
	"cbs":                {},
	"cfa":                {},
	"chanel":             {},
	"chase":              {},
	"chintai":            {},
	"chrome":             {},
	"chrysler":           {},
	"cipriani":           {},
	"cisco":              {},
	"citadel":            {},
	"citi":               {},
	"citic":              {},
	"clubmed":            {},
	"comcast":            {},
	"commbank":           {},
	"creditunion":        {},
	"crown":              {},
	"crs":                {},
	"csc":                {},
	"cuisinella":         {},
	"dabur":              {},
	"datsun":             {},
	"dealer":             {},
	"dell":               {},
	"deloitte":           {},
	"delta":              {},
	"dhl":                {},
	"discover":           {},
	"dish":               {},
	"dnp":                {},
	"dodge":              {},
	"dunlop":             {},
	"dupont":             {},
	"dvag":               {},
	"emerck":             {},
	"epson":              {},
	"ericsson":           {},
	"erni":               {},
	"esurance":           {},
	"etisalat":           {},
	"eurovision":         {},
	"everbank":           {},
	"extraspace":         {},
	"fage":               {},
	"fairwinds":          {},
	"farmers":            {},
	"fedex":              {},
	"ferrari":            {},
	"ferrero":            {},
	"fidelity":           {},
	"firestone":          {},
	"firmdale":           {},
	"flickr":             {},
	"flir":               {},
	"flsmidth":           {},
	"ford":               {},
	"fox":                {},
	"fresenius":          {},
	"forex":              {},
	"frogans":            {},
	"frontier":           {},
	"fujitsu":            {},
	"fujixerox":          {},
	"gallo":              {},
	"gallup":             {},
	"gap":                {},
	"gbiz":               {},
	"gea":                {},
	"genting":            {},
	"giving":             {},
	"globo":              {},
	"gmail":              {},
	"gmo":                {},
	"gmx":                {},
	"godaddy":            {},
	"goldpoint":          {},
	"goodyear":           {},
	"goog":               {},
	"grainger":           {},
	"guardian":           {},
	"gucci":              {},
	"hbo":                {},
	"hdfc":               {},
	"hdfcbank":           {},
	"hermes":             {},
	"hisamitsu":          {},
	"hitachi":            {},
	"hkt":                {},
	"honda":              {},
	"honeywell":          {},
	"hotmail":            {},
	"hsbc":               {},
	"hughes":             {},
	"hyatt":              {},
	"hyundai":            {},
	"ibm":                {},
	"ieee":               {},
	"ifm":                {},
	"ikano":              {},
	"imdb":               {},
	"infiniti":           {},
	"intel":              {},
	"intuit":             {},
	"ipiranga":           {},
	"iselect":            {},
	"itau":               {},
	"itv":                {},
	"iveco":              {},
	"jaguar":             {},
	"java":               {},
	"jcb":                {},
	"jcp":                {},
	"jeep":               {},
	"jpmorgan":           {},
	"juniper":            {},
	"kddi":               {},
	"kerryhotels":        {},
	"kerrylogistics":     {},
	"kerryproperties":    {},
	"kfh":                {},
	"kia":                {},
	"kindle":             {},
	"komatsu":            {},
	"kpmg":               {},
	"kred":               {},
	"kuokgroup":          {},
	"lacaixa":            {},
	"ladbrokes":          {},
	"lamborghini":        {},
	"lancaster":          {},
	"lancia":             {},
	"lancome":            {},
	"landrover":          {},
	"lanxess":            {},
	"lasalle":            {},
	"latrobe":            {},
	"lds":                {},
	"lego":               {},
	"liaison":            {},
	"lexus":              {},
	"lidl":               {},
	"lifestyle":          {},
	"lilly":              {},
	"lincoln":            {},
	"linde":              {},
	"lipsy":              {},
	"lixil":              {},
	"locus":              {},
	"lotte":              {},
	"lpl":                {},
	"lplfinancial":       {},
	"lundbeck":           {},
	"lupin":              {},
	"macys":              {},
	"maif":               {},
	"man":                {},
	"mango":              {},
	"marriott":           {},
	"maserati":           {},
	"mattel":             {},
	"mckinsey":           {},
	"metlife":            {},
	"microsoft":          {},
	"mini":               {},
	"mit":                {},
	"mitsubishi":         {},
	"mlb":                {},
	"mma":                {},
	"monash":             {},
	"mormon":             {},
	"moto":               {},
	"movistar":           {},
	"msd":                {},
	"mtn":                {},
	"mtr":                {},
	"mutual":             {},
	"nadex":              {},
	"nationwide":         {},
	"natura":             {},
	"nba":                {},
	"nec":                {},
	"netflix":            {},
	"neustar":            {},
	"newholland":         {},
	"nexus":              {},
	"nfl":                {},
	"nhk":                {},
	"nico":               {},
	"nike":               {},
	"nikon":              {},
	"nissan":             {},
	"nissay":             {},
	"nokia":              {},
	"northwesternmutual": {},
	"norton":             {},
	"nra":                {},
	"obi":                {},
	"office":             {},
	"omega":              {},
	"oracle":             {},
	"orange":             {},
	"otsuka":             {},
	"ovh":                {},
	"panasonic":          {},
	"pccw":               {},
	"pfizer":             {},
	"philips":            {},
	"piaget":             {},
	"pictet":             {},
	"ping":               {},
	"pioneer":            {},
	"play":               {},
	"playstation":        {},
	"pohl":               {},
	"politie":            {},
	"praxi":              {},
	"prod":               {},
	"progressive":        {},
	"pru":                {},
	"prudential":         {},
	"pwc":                {},
	"quest":              {},
	"qvc":                {},
	"redstone":           {},
	"reliance":           {},
	"rexroth":            {},
	"ricoh":              {},
	"rmit":               {},
	"rocher":             {},
	"rogers":             {},
	"rwe":                {},
	"safety":             {},
	"sakura":             {},
	"samsung":            {},
	"sandvik":            {},
	"sandvikcoromant":    {},
	"sanofi":             {},
	"sap":                {},
	"saxo":               {},
	"sbs":                {},
	"sca":                {},
	"scb":                {},
	"schaeffler":         {},
	"schmidt":            {},
	"schwarz":            {},
	"scjohnson":          {},
	"scor":               {},
	"seat":               {},
	"sener":              {},
	"ses":                {},
	"sew":                {},
	"seven":              {},
	"sfr":                {},
	"seek":               {},
	"shangrila":          {},
	"sharp":              {},
	"shaw":               {},
	"shell":              {},
	"shriram":            {},
	"sina":               {},
	"skype":              {},
	"smart":              {},
	"softbank":           {},
	"sohu":               {},
	"sony":               {},
	"spiegel":            {},
	"stada":              {},
	"staples":            {},
	"star":               {},
	"starhub":            {},
	"statebank":          {},
	"statefarm":          {},
	"statoil":            {},
	"stc":                {},
	"stcgroup":           {},
	"suzuki":             {},
	"swatch":             {},
	"swiftcover":         {},
	"symantec":           {},
	"taobao":             {},
	"target":             {},
	"tatamotors":         {},
	"tdk":                {},
	"telecity":           {},
	"telefonica":         {},
	"temasek":            {},
	"teva":               {},
	"tiffany":            {},
	"tjx":                {},
	"toray":              {},
	"toshiba":            {},
	"total":              {},
	"toyota":             {},
	"travelchannel":      {},
	"travelers":          {},
	"tui":                {},
	"tvs":                {},
	"ubs":                {},
	"unicom":             {},
	"uol":                {},
	"ups":                {},
	"vanguard":           {},
	"verisign":           {},
	"vig":                {},
	"viking":             {},
	"virgin":             {},
	"visa":               {},
	"vista":              {},
	"vistaprint":         {},
	"vivo":               {},
	"volkswagen":         {},
	"walmart":            {},
	"walter":             {},
	"weatherchannel":     {},
	"weber":              {},
	"weir":               {},
	"williamhill":        {},
	"windows":            {},
	"wme":                {},
	"wolterskluwer":      {},
	"woodside":           {},
	"wtc":                {},
	"xbox":               {},
	"xerox":              {},
	"xfinity":            {},
	"yahoo":              {},
	"yamaxun":            {},
	"yandex":             {},
	"yodobashi":          {},
	"zappos":             {},
	"zara":               {},
	"zippo":              {},
	"example":            {},
	"invalid":            {},
	"local":              {},
	"onion":              {},
	"test":               {},
	"eth":                {},
	"crypto":             {},
	"zil":                {},
	"bit":                {},
	"bbs":                {},
	"chan":               {},
	"cyb":                {},
	"dyn":                {},
	"geek":               {},
	"gopher":             {},
	"indy":               {},
	"libre":              {},
	"neo":                {},
	"null":               {},
	"o":                  {},
	"oss":                {},
	"oz":                 {},
	"parody":             {},
	"pirate":             {},
	"fur":                {},
	"lib":                {},
	"coin":               {},
	"emc":                {},
	"bazar":              {},
	"ku":                 {},
	"te":                 {},
	"ti":                 {},
	"uu":                 {},
	"ko":                 {},
	"rm":                 {},
}
